## jpeginfo 1.4

=== Makefile ===
#########################################################################
#
# Makefile for jpeginfo for *nix environments
#
#
Version = 1.4
PKGNAME = jpeginfo

# Compile Options:
#  -DLINUX    for Linux
#  -DSUN      for Solaris
#  -DSGI      for Silicon Graphics
#  -DHPUX     for HP-UX
#
#  -DLONG_OPTIONS  if you have GNU getopt_long function
#
DEFINES = -DLINUX -DLONG_OPTIONS

PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin
MANDIR  = $(PREFIX)/man/man1
USER	= root
GROUP	= root

# if necessary define where jpeglib and it's headers are located
#LIBDIR  = -L/usr/local/lib
#INCDIR  = -I/usr/local/include


CC     = gcc
CFLAGS = -O2 $(DEFINES) $(INCDIR)  # -N
LIBS   = -ljpeg $(LIBDIR)
STRIP  = strip


# should be no reason to modify lines below this
#########################################################################

DIRNAME = $(shell basename `pwd`) 
DISTNAME  = $(PKGNAME)-$(Version)

OBJS = $(PKGNAME).o md5stuff.o md5/md5c.o

$(PKGNAME):	$(OBJS) 
	$(CC) $(CFLAGS) -o $(PKGNAME) $(OBJS) $(LIBS) 

all:	$(PKGNAME) 

strip:
	for i in $(PKGNAME) ; do [ -x $i ] && $(STRIP) $$i ; done

clean:
	rm -f *~ *.o core a.out make.log $(PKGNAME) $(OBJS)

dist:	clean
	(cd .. ; tar cvzf $(DISTNAME).tar.gz $(DIRNAME))

backup:	dist

zip:	clean	
	(cd .. ; zip -r9 $(DISTNAME).zip $(DIRNAME))

install: all  install.man
	install -m 755 -o $(USER) -g $(GROUP) $(PKGNAME) $(BINDIR)

printable.man:
	groff -Tps -mandoc ./$(PKGNAME).1 >$(PKGNAME).ps
	groff -Tascii -mandoc ./$(PKGNAME).1 | tee $(PKGNAME).prn | sed 's/.//g' >$(PKGNAME).txt

install.man:
	install -m 644 -o $(USER) -g $(GROUP) $(PKGNAME).1 $(MANDIR)

# a tradition !
love:	
	@echo "Not War - Eh?"
# eof

## jpeginfo 1.6.1

=== debian/changelog ===
jpeginfo (1.6.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #695524
  * Move package to Debian PhotoTools Maintainers
  * d/control: Add Homepage
  * debian/source/format: quilt (3.0)
  * Add watch file
  * DEP5
  * d/rules: short dh
    Closes: #999153
  * debhelper-compat 13
    Closes: #965606
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Mathieu Malaterre ]
  * Better long description clarifying limitations of the program
    Closes: #825498

  [ Helmut Grohne ]
  * Fix FTCBFS: Export a suitable CC for ./configure.
    Closes: #901985

 -- Andreas Tille <tille@debian.org>  Wed, 15 Dec 2021 22:38:17 +0100

jpeginfo (1.6.0-6) unstable; urgency=low

  * Applied patch from Breno Leitao <brenohl@br.ibm.com> that solve a
    few FTBFS on new architectures. Closes: #753491.

 -- Ola Lundqvist <opal@debian.org>  Sat, 26 Jul 2014 23:54:10 +0200

jpeginfo (1.6.0-5) unstable; urgency=low

  * Changed build dependency to help libjpeg transition. Closes:
    #642984.
  * UTF-8 encoded copyright file.
  * Updated to standards version 3.9.1.
  * Added ${misc:Depends} to dependency chain as debhelper may add it.
  * Updated from debhelper compatibility 4 to 6.
  * Makeshlibs and gencontrol changed order in debian rules file.

 -- Ola Lundqvist <opal@debian.org>  Mon, 17 Oct 2011 08:11:02 +0200

jpeginfo (1.6.0-4) unstable; urgency=low

  * Corrected url and year in copyright file, closes: #404750.
  * Updated standards version to 3.7.2 in control file (no other changes).

 -- Ola Lundqvist <opal@debian.org>  Thu, 28 Dec 2006 18:03:34 +0100

jpeginfo (1.6.0-3) unstable; urgency=low

  * Corrected 342423 the right way, closes: #342423.

 -- Ola Lundqvist <opal@debian.org>  Tue, 14 Mar 2006 20:22:38 +0100

jpeginfo (1.6.0-2) unstable; urgency=low

  * Corrected manpage spelling error. Thanks to
    A Costa <agcosta@gis.net>, closes: #311447.
  * Now config.guess and config.sub is updated in clean target,
    closes: #342423.
  * Updated standards version from 3.5.8 to 3.6.2.
  * Updated to debhelper 4 compatibility.
  * Updated FSF address in debian/copyright.

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 Mar 2006 21:02:39 +0100

jpeginfo (1.6.0-1) unstable; urgency=low

  * New maintainer, closes: #174340, #105118.
  * New upstream version, closes: #174339.
  * Updated to latest standards version 3.5.8 from 3.0.1.
  * Updated copyright file to contain a correct reference to GPL.
  * Removed full stop from short description.
  * Rewritten the rules file almost from scratch.
  * Removed obsolete emacs settings from changelog (below).

 -- Ola Lundqvist <opal@debian.org>  Sat, 28 Dec 2002 12:17:39 +0100

jpeginfo (1.5a-1.1) unstable; urgency=low

  * NMU
  * debian/control: added Build-Depends
    - debhelper (Closes: #105118)
    - libjpeg62-dev
  * debian/rules: remove call of dh_suidregister
  * aux/config.{guess,sub}: updated from current libtool
  * misc.c: added #include <string.h> to get strlen prototype

 -- Branden Robinson <branden@debian.org>  Fri, 20 Jul 2001 11:18:00 -0500

jpeginfo (1.5a-1) unstable; urgency=low

  * New upstream release.
  * Updated `Standards-Version' to 3.0.1.
  * Moved docs under /usr/share.
  * Changes to description.
  * Updated copyright file.
  * Modifications to debian/rules.

 -- Nicolas Lichtmaier <nick@debian.org>  Sun,  3 Oct 1999 03:56:05 -0300

jpeginfo (1.4-3) unstable; urgency=low

  * Switched to debhelper.
  * Compressed changelogs (closes: Bug#35373).
  * Updated maintainer address.
  * Changed Standards-Version to 2.5.0.

 -- Nicolás Lichtmaier <nick@debian.org>  Tue,  6 Jul 1999 02:07:50 -0300

jpeginfo (1.4-2) unstable; urgency=low

  * Removed README and put that information in changelog and copyright.
  * Changed maintainer's address.
  * Built with libc6's libjpeg, fixes #13024.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun, 28 Sep 1997 14:45:53 -0300

jpeginfo (1.4-1) unstable; urgency=low

  * Keep files' date.
  * Initial Release.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Mon,  1 Sep 1997 07:23:23 -0300

=== debian/control ===
Source: jpeginfo
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Ola Lundqvist <opal@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13), libjpeg-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/jpeginfo
Vcs-Git: https://salsa.debian.org/debian-phototools-team/jpeginfo.git
Homepage: https://www.kokkonen.net/tjko/projects.html
Rules-Requires-Root: no

Package: jpeginfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Prints information and tests integrity of JPEG/JFIF files
 jpeginfo can be used to generate informative listings of jpeg
 files, and also to check jpeg files for errors. It can also
 detect broken jpeg and delete them automatically.
 .
 Since libjpeg only supports a limited subset of the JPEG standard (ITU 81),
 only JPEG codestream with huffman and sequential lossy 8bits are supported

## jpeginfo 1.7.0

=== debian/changelog ===
jpeginfo (1.7.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #308294, #260337

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 10:17:00 +0100

jpeginfo (1.6.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jan 2023 17:30:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ola Lundqvist <opal@debian.org>,
            Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13), libjpeg-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/jpeginfo
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/jpeginfo.git
 Homepage: https://www.kokkonen.net/tjko/projects.html

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_installchangelogs:
	sed -ne '/HIST/,/^$$/p' < README > changelog.tmp
	touch --reference README changelog.tmp
	dh_installchangelogs changelog.tmp

override_dh_auto_install:
	echo "Install files manually"

=== debian/watch ===
version=4

https://www.kokkonen.net/tjko/projects.html .*/src/jpeginfo-@ANY_VERSION@@ARCHIVE_EXT@

## jpeginfo 1.7.1+dfsg

=== debian/changelog ===
jpeginfo (1.7.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:09:22 +1100

jpeginfo (1.7.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/copyright:
      - update copyright year info to 2024
      - change upstream License to GPL-3
      - add Upstream-Contact infos, add upstream email
      - add Files-Excluded: test/*.jpg see: #1064380#8
  * use upstream make install
     - d/rules: delete override_dh_auto_install target
     - delete d/install d/manpages
  * d/rules:
      - add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
      - add override_dh_autoreconf target
      - add override_dh_autotest target
  * remove d/patches, no more use
  * d/watch: add opts=pgpsigurlmangle=s%$%.sig%, repacksuffix=+dfsg
  * add d/clean
  * add d/gbp.conf
  * add d/u/metadata
  * add d/u/signing-key.asc

 -- xiao sheng wen <xsw@atzlinux.com>  Mon, 26 Feb 2024 10:24:58 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jpeginfo
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Ola Lundqvist <opal@debian.org>,
            Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13), libjpeg-dev

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_autoreconf:

override_dh_auto_test:

override_dh_installchangelogs:
	sed -ne '/HIST/,/^$$/p' < README > changelog.tmp
	touch --reference README changelog.tmp
	dh_installchangelogs changelog.tmp

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s%$%.sig%, \
dversionmangle=auto, \
repacksuffix=+dfsg" \
https://www.kokkonen.net/tjko/projects.html .*/src/jpeginfo-@ANY_VERSION@@ARCHIVE_EXT@
